Subject: bug#26604: documentation: pdf generation is broken

From: [email-masked] (Ludovic Courtès)
Date: Fri, 05 May 2017 20:53:47 +0200

Chris Marusich <[email-masked]> skribis:

> ng0 <[email-masked]> writes:
>
>> As long as I run guix I was never able to build the documentation
>> as pdf. What's wrong with it?
>>
>> [user@abyayala ~/src/guix/guix]$ make doc/guix.pdf
>>   TEXI2PDF doc/guix.pdf
>>   /gnu/store/jz7jq4w8d4czvgnk9as07rrdbcfjjgjj-profile/bin/texi2dvi: pdftex exited with bad status, quitting.
>>   make: *** [Makefile:3591: doc/guix.pdf] Error 1
>
> I looked into this a week or two ago.  I think we're waiting for a newer
> release of automake?

AFAIK the ‘texinfo.tex’ file that Automake 1.15 installs is good enough,
as shown by
<https://hydra.gnu.org/job/gnu/master/guix-0.12.0-9.25a4.x86_64-linux>
<https://hydra.gnu.org/build/2017216/log/raw>.

Can you try running “autoreconf -vfi” with Automake 1.15 installed?

FWIW, I have:

--8<---------------cut here---------------start------------->8---
$ grep def.texinfoversion build-aux/texinfo.tex 
\def\texinfoversion{2016-09-18.18}
$ grep def.texinfoversion $(find $(guix build automake) -name texinfo.tex)
\def\texinfoversion{2013-02-01.11}
$ grep def.texinfoversion ~/src/gnulib/build-aux/texinfo.tex 
\def\texinfoversion{2017-04-14.11}
$ (cd ~/src/gnulib/ ; git describe)
v0.1-1312-ga87d5e5c6
--8<---------------cut here---------------end--------------->8---

HTH,
Ludo’.